package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class StudentPaymentOrderQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "开始时间",required = false)
    private String orderStartDate;

    @ApiModelProperty(value = "截止时间",required = false)
    private String orderEndDate;

    @ApiModelProperty(value = "交易类型",required = false)
    private String paymentType;

    @ApiModelProperty(value = "交易类型",required = false)
    private String remark;

    @ApiModelProperty(value = "学生编号",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "交易状态",required = false)
    private String paymentStatus;

    @ApiModelProperty(value = "分部编号",required = false)
    private String organId;

    @ApiModelProperty(value = "支付方式",required = false)
    private String paymentChannel;

    @ApiModelProperty(value = "订单类型",required = false)
    private String orderType;

    @ApiModelProperty(value = "分配分部",required = false)
    private String routingOrganId;

    private boolean isExport = false;

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOrderStartDate() {
        return orderStartDate;
    }

    public void setOrderStartDate(String orderStartDate) {
        this.orderStartDate = orderStartDate;
    }

    public String getOrderEndDate() {
        return orderEndDate;
    }

    public void setOrderEndDate(String orderEndDate) {
        this.orderEndDate = orderEndDate;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getRoutingOrganId() {
        return routingOrganId;
    }

    public void setRoutingOrganId(String routingOrganId) {
        this.routingOrganId = routingOrganId;
    }
}
